View Issue Details

IDProjectCategoryView StatusLast Update
0004916mantisbtadministrationpublic2004-12-11 03:01
Reporterpacketeer Assigned Tothraxisp  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19.1 
Fixed in Version0.19.2 
Summary0004916: Workflow checking is not implemented on bulk Update Status (selecting multiple issues on View Issues)
Description

A fix can be implemented in bug_actiongroup.php, by adding the logic to check workflow for "case 'UP_STATUS'" as follows:

            case 'UP_STATUS':
                    if ( access_has_bug_level( config_get( 'update_bug_threshold' ), $t_bug_id ) ) {
                            $f_status = gpc_get_int( 'status' );

                            #fix: check workflow when update status
                            if ( FALSE == bug_check_workflow($t_status, $f_status ) ) {
                                    $t_failed_ids[$t_bug_id] = lang_get( 'bug_actiongroup_status' );
                                    break;
                            }
                            #end-fix

                            bug_set_field( $t_bug_id, 'status', $f_status );
                            etc.... 
TagsNo tags attached.

Activities

thraxisp

thraxisp

2004-11-30 09:38

reporter   ~0008459

fixed in CVS.

Issue History

Date Modified Username Field Change
2004-11-28 20:58 packeteer New Issue
2004-11-30 09:02 thraxisp Assigned To => thraxisp
2004-11-30 09:02 thraxisp Status new => assigned
2004-11-30 09:38 thraxisp Status assigned => resolved
2004-11-30 09:38 thraxisp Fixed in Version => 0.19.2
2004-11-30 09:38 thraxisp Resolution open => fixed
2004-11-30 09:38 thraxisp Note Added: 0008459
2004-12-11 03:01 vboctor Status resolved => closed